#
# spec file for package perl-CPANPLUS-Dist-SUSE
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-CPANPLUS-Dist-SUSE
Version:        0.03
Release:        1.1
%define cpan_name CPANPLUS-Dist-SUSE
Summary:        To build RPM files from cpan for SUSE
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/CPANPLUS-Dist-SUSE/
Source0:        http://www.cpan.org/authors/id/M/MF/MFW/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(CPANPLUS::Dist::RPM)
BuildRequires:  perl(CPANPLUS::Error)
BuildRequires:  perl(IPC::Cmd)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Path::Class)
BuildRequires:  perl(SUPER)
Requires:       perl(CPANPLUS::Dist::RPM)
Requires:       perl(CPANPLUS::Error)
Requires:       perl(IPC::Cmd)
Requires:       perl(Path::Class)
Requires:       perl(SUPER)
%{perl_requires}

%description
To build RPM files from cpan for SUSE

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Sun Apr 19 2015 coolo@suse.com
- updated to 0.03
  see /usr/share/doc/packages/perl-CPANPLUS-Dist-SUSE/Changes
  0.02    19/2/2011
    Enhanced SUSE.pm to make it more SUSEish in
    order to achieve a better build rate
* Sun Apr 19 2015 coolo@suse.com
- updated to 0.03
  see /usr/share/doc/packages/perl-CPANPLUS-Dist-SUSE/Changes
  0.02    19/2/2011
    Enhanced SUSE.pm to make it more SUSEish in
    order to achieve a better build rate
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Sep 17 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- added bcond_with pod
- fix version
* Wed Aug 25 2010 jw@novell.com
- 0.01.4, using %%perl_version instead of ugly %%(eval %%{_perl} ...)
* Wed Aug 25 2010 jw@novell.com
- bumped local version number to 0.01.3
  BuildRecommends: perl(Test::CheckManifest) and friends.
- Sent patch upstream: https://rt.cpan.org/Ticket/Display.html?id=60738
* Fri Aug 13 2010 jw@novell.com
- bumped local version number to 0.01.2
- local patch extended. Using
  %%perl_process_packlist
  %%perl_gen_filelist
- pointers to http://wiki.opensuse.org/openSUSE:Packaging_Perl added.
* Thu Aug  5 2010 jw@novell.com
- merged patch from home:jnweiger:perl
  this implements most of the issues outlined at
  http://wiki.opensuse.org/openSUSE:Packaging_Perl
* Tue Aug  3 2010 chris@computersalat.de
- initial package 0.01
  * created by cpanspec 1.78
